> For the complete documentation index, see [llms.txt](https://docs.indicio.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.indicio.tech/developer/indicio-proven-r/api-reference/dids.md).

# DIDs

Endpoints for managing Decentralized Identifiers (DIDs)

## Create a new DID

> This endpoint creates a new Decentralized Identifier (DID) using the provided API key.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"DIDs","description":"Endpoints for managing Decentralized Identifiers (DIDs)"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/create-did":{"post":{"summary":"Create a new DID","description":"This endpoint creates a new Decentralized Identifier (DID) using the provided API key.","tags":["DIDs"],"responses":{"200":{"description":"DID created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"did":{"type":"object","properties":{"did":{"type":"string","description":"The created DID."},"verkey":{"type":"string","description":"The verification key for the DID."},"posture":{"type":"string","description":"The posture of the DID."},"key_type":{"type":"string","description":"The type of key used for the DID."},"method":{"type":"string","description":"DID method."},"metadata":{"type":"object","description":"Additional metadata for the DID."}}}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Set a public DID

> This endpoint sets a public Decentralized Identifier (DID) using the provided API key and DID.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"DIDs","description":"Endpoints for managing Decentralized Identifiers (DIDs)"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/set-public-did":{"post":{"summary":"Set a public DID","description":"This endpoint sets a public Decentralized Identifier (DID) using the provided API key and DID.","tags":["DIDs"],"parameters":[{"in":"query","name":"DID","required":true,"schema":{"type":"string"},"description":"The DID to be set as public."}],"responses":{"200":{"description":"DID set as public successfully","content":{"application/json":{"schema":{"type":"object","properties":{"did":{"type":"object","description":"The public DID."}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Create a new did:indy DID

> This endpoint creates a new Decentralized Identifier (DID) using the provided API key.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"DIDs","description":"Endpoints for managing Decentralized Identifiers (DIDs)"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/did/indy":{"post":{"summary":"Create a new did:indy DID","description":"This endpoint creates a new Decentralized Identifier (DID) using the provided API key.","tags":["DIDs"],"responses":{"200":{"description":"DID created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"did":{"type":"string","description":"The created DID."}}}}}},"401":{"description":"Unauthorized."},"412":{"description":"The TAA must be signed before calling this endpoint","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.indicio.tech/developer/indicio-proven-r/api-reference/dids.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
